/**
 * @since 1.0.0
 */
import type { ApiGatewayManagementApiClientConfig } from "@aws-sdk/client-apigatewaymanagementapi";
import * as Context from "effect/Context";
import * as Effect from "effect/Effect";
import * as Layer from "effect/Layer";
/**
 * @since 1.0.0
 * @category tags
 */
export interface ApiGatewayManagementApiClientInstanceConfig {
    readonly _: unique symbol;
}
/**
 * @since 1.0.0
 * @category tags
 */
export declare const ApiGatewayManagementApiClientInstanceConfig: Context.Tag<ApiGatewayManagementApiClientInstanceConfig, ApiGatewayManagementApiClientConfig>;
/**
 * @since 1.0.0
 * @category constructors
 */
export declare const makeDefaultApiGatewayManagementApiClientInstanceConfig: Effect.Effect<never, never, ApiGatewayManagementApiClientConfig>;
/**
 * @since 1.0.0
 * @category layers
 */
export declare const DefaultApiGatewayManagementApiClientConfigLayer: Layer.Layer<never, never, ApiGatewayManagementApiClientInstanceConfig>;
